Get user by ID
GET
/users/{id}Contract
Parameter | Value |
|---|---|
| Section | users |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | integer | User ID |
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
400 | Invalid ID | object |
401 | Unauthorized | object |
500 | User not found | object |
{ "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ { "value": 0 } ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }